package com.docus.server.collect.web.common.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class ViewReportTwoDto {

    @ApiModelProperty(value = "患者id")
    private String patientId;
    @ApiModelProperty(value = "住院号/就诊号")
    private String inpatientNo;
    @ApiModelProperty(value = "记帐号")
    private String jzh;
    @ApiModelProperty(value = "档案类型")
    private String recordType="1";
    @ApiModelProperty(value = "档案时间")
    private String createTime;
    @ApiModelProperty(value = "患者姓名")
    private String name;
    @ApiModelProperty(value = "住院次数")
    private Integer admissTimes;
    @ApiModelProperty(value = "住院日期")
    private String admissDate;
    @ApiModelProperty(value = "出院日期")
    private String disDate;
    @ApiModelProperty(value = "出院科室名称")
    private String disDeptName;
    @ApiModelProperty(value = "卡号")
    private String admissId;
    @ApiModelProperty(value = "采集器标识")
    private String collectorId;
    @ApiModelProperty(value = "优先级,0最低级，10最高级")
    private int ispriority=1;
    @ApiModelProperty(value = "无视图任务采集器标识 多个用逗号分割")
    private String viewTaskCollectorId;
}
