package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.SchCollectErrorLog;
import com.docus.server.dto.scheduling.management.schcollecterrorlog.AddSchCollectErrorLogDTO;
import com.docus.server.dto.scheduling.management.schcollecterrorlog.EditSchCollectErrorLogDTO;
import com.docus.server.dto.scheduling.management.schcollecterrorlog.DeleteSchCollectErrorLogDTO;
import com.docus.server.vo.scheduling.management.schcollecterrorlog.SchCollectErrorLogVO;

import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 采集器异常日志 服务转换器
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Mapper
public interface SchCollectErrorLogConvert {

    SchCollectErrorLogConvert INSTANCE = Mappers.getMapper(SchCollectErrorLogConvert.class);

    @Mappings({})
    SchCollectErrorLog convertDO(AddSchCollectErrorLogDTO addSchCollectErrorLogDTO);

    @Mappings({})
    SchCollectErrorLog convertDO(EditSchCollectErrorLogDTO editSchCollectErrorLogDTO);

    @Mappings({})
    List<SchCollectErrorLog> convertAddDOList(List<AddSchCollectErrorLogDTO> addSchCollectErrorLogDTO);

    @Mappings({})
    List<SchCollectErrorLog> convertEditDOList(List<EditSchCollectErrorLogDTO> editSchCollectErrorLogDTO);

    @Mappings({})
    SchCollectErrorLogVO convertVO(SchCollectErrorLog schCollectErrorLog);

    @Mappings({})
    List<SchCollectErrorLogVO> convertVO(List<SchCollectErrorLog> schCollectErrorLogList);

    @Mappings({})
    PageResult<SchCollectErrorLogVO> convertVO(PageResult<SchCollectErrorLog> pageResult);
}

