package com.docus.server.archivefile.infrastructure.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author zengdl
 * @website https://el-admin.vip
 * @description /
 * @date 2022-09-02
 **/
@Data
@TableName("af_collectsys_dictionary")
public class CollectsysDictionary implements Serializable {

    @TableId("id")
    @ApiModelProperty(value = "id 雪花算法")
    private Long id;

    @TableField("sys_code")
    @ApiModelProperty(value = "采集来源系统编号")
    private String sysCode;

    @TableField("sys_name")
    @ApiModelProperty(value = "采集来源系统名称")
    private String sysName;

}
