package com.docus.server.dto.scheduling.management;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 采集器异常日志 Add DTO
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Data
@ApiModel(value = "患者信息", description = "患者信息")
public class ActiveAddPatientResponse implements Serializable {

    @ApiModelProperty(value = "住院号")
    private String inpNo;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "住院次数")
    private String visitId;

    @ApiModelProperty(value = "记帐号")
    private String patientId;

    @ApiModelProperty(value = "来源(电子病历)")
    private String source;

    @ApiModelProperty(value = "文件信息")
    private List<FileInfo> fileInfoList;

    @ApiModelProperty(value = "入库时间")
    private Date beginTime;

    @ApiModelProperty(value = "入库更新时间")
    private Date endTime;

}
