package com.docus.server.dto.scheduling.management.schterminator;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Builder
@NoArgsConstructor
@AllArgsConstructor
@Data
@ApiModel(value = "CommMsgDTO对象", description = "TCP 重启命令")
public class CommMsgDTO implements Serializable {

    @ApiModelProperty(value = "终端IP")
    public String terminatorIp;

    @ApiModelProperty(value = "消息类型")
    public String messageType;

    @ApiModelProperty(value = "消息内容")
    public String content;

}
