package com.docus.server.dto.segmentation.zdassort;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

import java.io.Serializable;
import java.util.Date;

/**
*
* 病案分类 AddDTO
*
* @author AutoGenerator
* @since 2023-08-30
*/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value="AddZdAssortDTO对象", description="病案分类")
public class AddZdAssortDTO implements Serializable {

    @ApiModelProperty(value = "分类id")
    private String assortId;

    @ApiModelProperty(value = "分类名称")
    private String assortName;

    @ApiModelProperty(value = "分类排序")
    private Integer assortSort;

    @ApiModelProperty(value = "是否启用 1是，0否")
    private Integer effective;

    @ApiModelProperty(value = "是否校验 1是，0否")
    private Integer isCheck;

    @ApiModelProperty(value = "代码分类")
    private String assortCode;

    @ApiModelProperty(value = "等级")
    private Integer level;

    @ApiModelProperty(value = "")
    private String typeCode;

    @ApiModelProperty(value = "召回可查询角色")
    private String recallRole;

    @ApiModelProperty(value = "采集器id")
    private String collectId;

    @ApiModelProperty(value = "分段来源，参考基础库字典 file_source_code")
    private String assortSource;


}
