package com.docus.server.entity.segmentation;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

/**
*
* 特殊策略表
*
* @author AutoGenerator
* @since 2023-08-29
*/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@TableName("ocr_special_rule")
@ApiModel(value="OcrSpecialRule对象", description="特殊策略表")
public class OcrSpecialRule implements Serializable {

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private Long id;

    @ApiModelProperty(value = "特殊规则描述")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "分段id")
    @TableField("assort_id")
    private String assortId;

    @ApiModelProperty(value = "开始规则")
    @TableField("start_json")
    private String startJson;

    @ApiModelProperty(value = "结束规则")
    @TableField("end_json")
    private String endJson;

    @ApiModelProperty(value = "版本号")
    @TableField("version")
    private Integer version;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    private Date updateTime;


}
