package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.segmentation.OcrSpecialRuleTest;
    import com.docus.server.dto.segmentation.ocrspecialruletest.AddOcrSpecialRuleTestDTO;
    import com.docus.server.dto.segmentation.ocrspecialruletest.EditOcrSpecialRuleTestDTO;
    import com.docus.server.dto.segmentation.ocrspecialruletest.DeleteOcrSpecialRuleTestDTO;
import com.docus.server.vo.segmentation.ocrspecialruletest.OcrSpecialRuleTestVO;

import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
*
* 特殊策略表-调试 服务转换器
*
* @author AutoGenerator
* @since 2023-08-29
*/
@Mapper
public interface OcrSpecialRuleTestConvert {

    OcrSpecialRuleTestConvert INSTANCE = Mappers.getMapper(OcrSpecialRuleTestConvert.class);

    @Mappings({})
    OcrSpecialRuleTest convertDO(AddOcrSpecialRuleTestDTO addOcrSpecialRuleTestDTO);

    @Mappings({})
    OcrSpecialRuleTest convertDO(EditOcrSpecialRuleTestDTO editOcrSpecialRuleTestDTO);

    @Mappings({})
    List<OcrSpecialRuleTest> convertAddDOList(List<AddOcrSpecialRuleTestDTO> addOcrSpecialRuleTestDTO);

    @Mappings({})
    List<OcrSpecialRuleTest> convertEditDOList(List<EditOcrSpecialRuleTestDTO> editOcrSpecialRuleTestDTO);

    @Mappings({})
    OcrSpecialRuleTestVO convertVO(OcrSpecialRuleTest ocrSpecialRuleTest);

    @Mappings({})
    List<OcrSpecialRuleTestVO> convertVO(List<OcrSpecialRuleTest> ocrSpecialRuleTestList);

    @Mappings({})
    PageResult<OcrSpecialRuleTestVO> convertVO(PageResult<OcrSpecialRuleTest> pageResult);
}

