package com.docus.server.service.handler;

import com.docus.log.annotation.TrackRetryListener;
import com.docus.server.service.impl.PlatformServiceImpl;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * 开始上传归档系统处理器
 */
@Component
public class StartUploadHandler {
    @Resource
    private PlatformServiceImpl downloadService;

    @TrackRetryListener("START_UPLOAD")
    public void startUpload(String patientId) {
        downloadService.uploadPlatform(null, null);
    }
}
