package com.docus.server.dto.scheduling.management.schcollector.task;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 下发任务-任务信息
 */
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Data
@ApiModel(value = "ReportTaskTwoDTO", description = "下发任务-任务信息")
public class ReportTaskTwoDTO {
    @ApiModelProperty(value = "采集器标识")
    private String collectorId;
    @ApiModelProperty(value = "任务id")
    private Long taskId;
    @ApiModelProperty(value = "患者id")
    private String patientId;

}
