package com.docus.server.entity.segmentation;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class OcrRuleJson {

    @ApiModelProperty(value = "分段id")
    private String assortId;

    @ApiModelProperty(value = "分段名称")
    private String assortName;

    @ApiModelProperty(value = "占比分")
    private Double matchRatio;

    @ApiModelProperty(value = "匹配关键词 多个#分割")
    private String keyWord;

    @ApiModelProperty(value = "排序")
    private Integer sort;

}
