package com.docus.server.vo.scheduling.management.schcollector;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 采集器管理 VO
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Data
@ApiModel(value = "SchCollectorVO对象", description = "采集器管理")
public class SchCollectorVO implements Serializable {

    @ApiModelProperty(value = "主键（采集器id）")
    private Long id;

    @ApiModelProperty(value = "采集器版本id")
    private Long collectorVersionId;

    @ApiModelProperty(value = "采集语言")
    private String collectLanguage;

    @ApiModelProperty(value = "采集器id")
    private Long collectorId;

    @ApiModelProperty(value = "采集器类型")
    private String collectorName;

    @ApiModelProperty(value = "启动方式")
    private String startMode;

    @ApiModelProperty(value = "采集器任务超时时间")
    private Long taskTimeout;

    @ApiModelProperty(value = "入库时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "入库更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
