package com.docus.server.service.handler;

import com.docus.log.annotation.TrackRetryListener;
import org.springframework.stereotype.Component;

/**
 * 开始分段处理器
 */
@Component
public class StartSegmentTestHandler {

    @TrackRetryListener("START_SEGMENT_TEST")
    public void startSegment(String patientId) {
        System.out.println(patientId);
    }
}
